#!/bin/sh -xe
# cd to project root
cd "$(dirname "$0")"
cd ..

DENO_PATH="$(which deno)"
if [ -z "$DENO_PATH" ]; then
  echo --- Deno non détecté.
  exit 1
fi
DENO_PATH_DIR="$(dirname "$DENO_PATH")"

./scripts/uninstall.sh

echo --- Copie de l agent de démarage
mkdir ~/Library/LaunchAgents/ || true
cp -f scripts/moe.yuru.music-rpc.plist ~/Library/LaunchAgents/
echo --- Modification de l agent
# /usr/bin is for osascript
plutil -replace EnvironmentVariables.PATH -string "$DENO_PATH_DIR:/usr/bin" ~/Library/LaunchAgents/moe.yuru.music-rpc.plist
plutil -replace WorkingDirectory -string "$(pwd)" ~/Library/LaunchAgents/moe.yuru.music-rpc.plist
echo --- Chargement de l agent
launchctl load ~/Library/LaunchAgents/moe.yuru.music-rpc.plist
echo --- Installation réussi
